## intelmq-fody-backend 0.11.1

=== debian/changelog ===
intelmq-fody-backend (0.11.1-1) stable; urgency=medium

  * ContactDB:
    * For compatibility with `jsonschema` version 3.2.0 available in Ubuntu 22.04, use JSON Schema Draft 07 instead of Draft 202012
    * Also validate organisations against the schema on update and deletion, not only creation.
  * Release Documentation:
    Add missing steps for building and publishing to PyPI
    Further small improbements

 -- Sebastian Wagner <swagner@intevation.de>  Wed, 10 Sep 2025 15:14:35 +0200

intelmq-fody-backend (0.11.0-1) stable; urgency=medium

  * ContacDB and EventDB: Database connection pooling and healthcheck to handle broken connections (#12, #18, #35).
  * ContactDB and EventDB (Stats API):
    Added a database connection pooling and healthchecks to handle broken connections (#12, #18, #35).
  * ContactDB: Use JSON Schema to validate all user inputs.
  * Documentation:
    How to use the same authentication as the IntelMQ Manager (#40).
    How to run with hug (#23).
  * Logs: Shorten the user representation of tracebacks to the useful parts (#38).
  * Packaging: Use quilt.
  * Tests: Add workflows to build the application, run the tests and check for print-statements.

 -- Sebastian Wagner <swagner@intevation.de>  Thu, 21 Aug 2025 21:15:30 +0200

intelmq-fody-backend (0.10.1) stable; urgency=medium

  * ContactDB: Deleting organisations:
    The comparison of the organisation data stored in the database and the
    organisation data provided by the frontend now ignores empty 'expires'
    entries in all annotation types.

 -- Sebastian Wagner <swagner@intevation.de>  Fri, 16 Aug 2024 14:06:07 +0200

intelmq-fody-backend (0.10.0-1) stable; urgency=medium

  * contactdb: audit log for all annotation changes
    * also queries the username from hug
    * table audit_log is provided by intelmq-certbund-contact
    * annotation diffing: detect changed annotations for a shorter audit log
    * make database connections more stable, addresses https://github.com/Intevation/intelmq-fody-backend/issues/12
    * the logging now contains the fody username, not the http basic authentication user (which is not used)
    * psycopg2: use current method for passing JSON to DB
      psycopg2 can now handle JSON directly, no workarounds needed anymore
    * minor style: fix indentation in contactdb __main__
    * rename whitelist tags to "Whitelist:" in the examples
  * documentation:
    * update readme section on commit logging
  * Previous changes of 0.9.3:
    * Apache example: exclude intelmq-webinput from rewrite condition
    * use sys.exit
      exit() is only available if the module site is present (imported by
      other components)
      that's often the case, but not always
    * packaging:
      add python3-dateutil dependency
      add NEWS.md to docs
    * documentation: add required locale in readme
      otherwise backend exits with
      [Thu Jul 21 14:07:52.281580 2022] [wsgi:error] [pid 11:tid 140030832015104] 2022-07-21 14:07:52,281 intelmqmail.cb CRITICAL - The preferred encoding of your locale setting is not UTF-8 but "ANSI_X3.4-1968". Exiting.
    * fix various typos in all files
    * add more common gitignores

 -- Sebastian Wagner <swagner@intevation.de>  Wed, 14 Aug 2024 14:00:56 +0200

intelmq-fody-backend (0.9.3-1) stable; urgency=medium

  * Tag expiry date
   * Dashboard
    * On login open dashboard to deliver a clean interface
      If the user accesses a sub-page, the frontend already tried to retrieve data from the backend without authentication, leading to errors.
      Clean the frontend, so the user sees a clean interface and the frontend loads the necessary data when switching to the requested page
   * Contacts
    * Do not load the annotation hints when not logged in
    * Organisation Annotations: Add input field for tag expiry
     * with date selector, quick selector (relative times) and clear button
     * Show expiry date for annotations in view mode
     * search interface: use current format "Whitelist:" in placeholder tag
   * Documentation
    * how to run tests
    * add screenshots to README
   * Dependencies
    * re-resolve packages
 * `intelmq-certbund-contact` version 0.9.5 is
   required for the `audit_log` database table.

 -- Sebastian Wagner <swagner@intevation.de>  Wed, 24 Jul 2024 16:25:21 +0200

intelmq-fody-backend (0.9.2-3) stable; urgency=medium

  * Apache example configuration: exclude intelmq-webinput from rewrite
    condition, allowin parallel installation

 -- Sebastian Wagner <swagner@intevation.de>  Fri, 22 Dec 2023 12:48:57 +0100

intelmq-fody-backend (0.9.2-2) stable; urgency=medium

  * Add missing requirement python3-dateutil.

 -- Sebastian Wagner <swagner@intevation.de>  Thu, 21 Jul 2022 16:27:40 +0200

intelmq-fody-backend (0.9.2-1) stable; urgency=medium

  * Fixed compatibility of contactdb_api with PostsgreSQL >= 10.0.

 -- Sebastian Wagner <sebix@sebix.at>  Mon, 13 Jun 2022 16:50:44 +0200

intelmq-fody-backend (0.9.1) stable; urgency=medium

  * Added support for authentication and session management.

 -- Sascha Wilde <wilde@intevation.de>  Fri, 21 May 2021 15:31:44 +0200

intelmq-fody-backend (0.9.0) stable; urgency=medium

  * New Relese.

 -- Bernhard E. Reiter <bernhard@intevation.de>  Thu, 03 Dec 2020 16:25:50 +0100

intelmq-fody-backend (0.8.1) stable; urgency=medium

  * New Release.

 -- Bernhard E. Reiter <bernhard@intevation.de>  Thu, 24 Sep 2020 17:33:36 +0200

intelmq-fody-backend (0.8.0) stable; urgency=medium

  * New Release.

 -- Bernhard E. Reiter <bernhard@intevation.de>  Fri, 27 Mar 2020 13:29:06 +0100

intelmq-fody-backend (0.7.2) stable; urgency=medium

  * New release.

 -- Bernhard Reiter <bernhard@intevation.de>  Mon, 10 Feb 2020 10:28:27 +0100

intelmq-fody-backend (0.7.1) stable; urgency=medium

  * New release.

 -- Bernhard E. Reiter <bernhard@intevation.de>  Wed, 08 Jan 2020 15:25:18 +0100

intelmq-fody-backend (0.7.0) stable; urgency=medium

  * New release.


