=== debian/control ===
Source: intelmq-fody-backend
Maintainer: Sascha Wilde <wilde@intevation.de>
Section: net
Priority: optional
Build-Depends: dh-exec, dh-python, python3-setuptools, python3 (<< 3.13),
 debhelper (>= 9), python3-psycopg2
Standards-Version: 3.9.5.0

Package: intelmq-fody-backend
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-psycopg2,
 python3-hug (>= 2.2.0), python3, apache2, apache2-utils,
 libapache2-mod-wsgi-py3, adduser, intelmq-fody (>= 0.9.4),
 intelmq-mailgen (>= 0.95), dbconfig-sqlite3 | dbconfig-no-thanks,
 python3-dateutil
Conflicts: intelmq-db-api, intelmq-fody-api
Replaces: intelmq-db-api, intelmq-fody-api
Description: Backend for DB manipulation via modern web applications.
 .
 Backend APIs for accessing IntelMQ databases, as used by Fody.
